Skip to main content

Get

GET

https://domain/api/fm-mobile/v1/c-{clientId}/p-{projectId}/products/single/{productId}

Request Parameters​

NameDescriptionRequiredType
clientIdRequiredstring
projectIdRequiredstring
productIdRequiredstring

Response​

CodeDescription
200
Success.
401
Unauthorized.
404
Not Found.
500
Error From Server.

Response Model​

NameDescriptionType
Namestring
Codestring
Descriptionstring
Materialstring
Sizestring
ManufacturerIdstring
ManufacturerCodestring
ManufacturerNamestring
Modelstring
Pricenumber
Specificationarray
Yearstring
Urlstring
Warrantystring
DocumentationUrlstring
Unitstring
Manufacturerobject
Systemobject
RelatedProductsarray
Quantitynumber
QuantityAssetnumber
ImageRootPathsarray

Example Usage​

function helloWorld() {
console.log("Hello, world!");
}

Example Success Response​

[
{
"id": 133024,
"name": "Mumbai"
},
...
]

Example Error Response​

{
"error'": "Unauthorized. You shouldn't be here."
}